# pacotes

library(tidyverse)

# importação da base de dados
# fonte: Painel Estatístico de Pessoal (https://www.gov.br/economia/pt-br/acesso-a-informacao/servidores/servidores-publicos/painel-estatistico-de-pessoal)

PEP_quant_DAS <- read_csv2("~/Documents/UFSCar/Pesquisa/Dados/analise_dados/PEP_quant_DAS_nivel.csv", skip=1, col_names=c("ano","DAS1","DAS2","DAS3","DAS4","DAS5","DAS6"))

# limpeza de dados

Quanti_DAS <- PEP_quant_DAS %>% gather("DAS1", "DAS2", "DAS3", "DAS4", "DAS5", "DAS6", key="cargo", value="quantidade")


# visualização dos dados

## qt de DAS por ano

ggplot(data = Quanti_DAS) +
  geom_col(mapping = aes(x = ano, y = quantidade, fill = cargo), position = "dodge") +
  scale_x_continuous(breaks = seq(2011, 2020, by = 1))

## greyscale

ggplot(data = Quanti_DAS) +
  geom_col(mapping = aes(x = ano, y = quantidade, fill = cargo), position = "dodge") +
  scale_x_continuous(breaks = seq(2011, 2020, by = 1)) + 
  scale_fill_grey()
