#pacotes 

library(tidyverse)

# importação da base de dados
## fonte: Atlas do Estado Brasileiro (https://www.ipea.gov.br/atlasestado/)

ServidoresCarreiraDAS <- read.csv("~/Documents/UFSCar/Pesquisa/Dados/analise_dados/ATLAS_ServidoresCarreiraDAS.csv", sep=";")

# visualização dos dados

## funcionarios de carreira em DAS 1-6 S/intercept

ggplot(data = ServidoresCarreiraDAS) +
  geom_line(mapping = aes(x = ano, y = funcionarios, group = cargos, color = cargos)) + 
  labs(x = "ano", y = "funcionários de carreira", title = "Servidores de Carreira Ocupando DAS") +
  ylim(40, 100)


# greyscale version
## cinza

jpeg(filename = "cap1_img1.jpeg",
     width = 2000, height = 2000, units = "px", pointsize = 12,
     quality = 90,
     bg = "white", res = 300, type = "quartz")


ggplot(data = ServidoresCarreiraDAS) +
  geom_line(mapping = aes(x = ano, y = funcionarios, group = cargos, linetype = cargos)) + 
  labs(x = "ano", y = "funcionários de carreira (%)", title = "Servidores de Carreira Ocupando DAS") +
  ylim(40, 100) +
  scale_fill_grey() 

dev.off()

## funcionarios de carreira em DAS 1-6 c/intercept 
## (a partir do decreto de Lula)

ggplot(data = ServidoresCarreiraDAS) +
  geom_line(mapping = aes(x = ano, y = funcionarios, group = cargos, color = cargos)) +
  geom_vline(xintercept = 2005, color = 'black') + 
  labs(x = "ano", y = "funcionários de carreira", title = "Servidores de Carreira Ocupando DAS") + 
  ylim(40, 100) 

## qt de funcionários de carreira por cargos 

ggplot(data = ServidoresCarreiraDAS) +
  geom_col(mapping = aes(x = ano, y = funcionarios, fill = cargos), position = "dodge") 

## qt de funcionários de carreira por cargos greyscale

jpeg(filename = "cap1_img2.jpeg",
     width = 2000, height = 2000, units = "px", pointsize = 12,
     quality = 90,
     bg = "white", res = 300, type = "quartz")

ggplot(data = ServidoresCarreiraDAS) +
  geom_col(mapping = aes(x = ano, y = funcionarios, fill = cargos), position = "dodge") +
  scale_fill_grey() 

dev.off()
